Bug 1572928 - Review Request: python-fabric3 - Python3-compatible fork of Fabric
Summary: Review Request: python-fabric3 - Python3-compatible fork of Fabric
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1572927 (view as bug list)
Depends On:
Blocks: 1370016
TreeView+ depends on / blocked
 
Reported: 2018-04-28 20:33 UTC by Othman Madjoudj
Modified: 2019-01-09 09:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-09 09:34:07 UTC
Type: ---
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Othman Madjoudj 2018-04-28 20:33:16 UTC
Spec URL: https://athmane.fedorapeople.org/review/python-fabric3.spec
SRPM URL: https://athmane.fedorapeople.org/review/python-fabric3-1.13.1.post1-1.fc28.src.rpm
Description:
Fabric3 is a fork of Fabric to provide compatability with Python 3.4+.
The port still works with Python 2.7.

Fedora Account System Username: athmane

Comment 1 Miro Hrončok 2018-04-29 06:40:14 UTC
1. I'd go a bit further in the description, explaining what it does (e.g. add fabrics description as second paragraph or similar).

2. "The port still works with Python 2.7." in description may be confusing since the package is py3 only in Fedora.

3. You say "fudge not compatible with py3 yet", but than you do  "Remove ver deps: sed -i 's/fudge<1.0/fudge/' setup.py". Care to explain? I feel a bit confused.

4. as a side note, how hard would it be to fix the test? https://travis-ci.org/mathiasertl/fabric/jobs/205270658

5. several things to provide for users' ease: python3-fabric, fabric3, fab3

Comment 2 Miro Hrončok 2018-04-29 06:48:37 UTC
Package Review
==============

6. Fix the license tag (to BSD)
7. Fix the version, see https://fedoraproject.org/wiki/Packaging:Versioning#More_complex_versioning
8. Fix "compatability" typo

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Should be BSD, not ASL 2.0!
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fabric3-1.13.1.post1-1.fc29.noarch.rpm
          python-fabric3-1.13.1.post1-1.fc29.src.rpm
python3-fabric3.noarch: W: spelling-error %description -l en_US compatability -> comparability, compatibility, communicability
python3-fabric3.noarch: W: no-manual-page-for-binary fab3
python-fabric3.src: W: spelling-error %description -l en_US compatability -> comparability, compatibility, communicability
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Actual spelling-error!


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-fabric3.noarch: W: spelling-error %description -l en_US compatability -> comparability, compatibility, communicability
python3-fabric3.noarch: W: invalid-url URL: https://github.com/mathiasertl/fabric <urlopen error [Errno -2] Name or service not known>
python3-fabric3.noarch: W: no-manual-page-for-binary fab3
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Actual spelling-error!

Requires
--------
python3-fabric3 (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-paramiko
    python3-six



Provides
--------
python3-fabric3:
    python3-fabric3
    python3.6dist(fabric3)
    python3dist(fabric3)



Source checksums
----------------
https://github.com/mathiasertl/fabric/archive/1.13.1.post1/fabric-1.13.1.post1.tar.gz :
  CHECKSUM(SHA256) this package     : 9d3e23725cf9d9fd554b09840e9aaaf2309da8932ce97776e33e6611797766c2
  CHECKSUM(SHA256) upstream package : 9d3e23725cf9d9fd554b09840e9aaaf2309da8932ce97776e33e6611797766c2


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -b 1572928 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, BATCH, DISTTAG, EPEL5, EPEL7, EPEL6

Comment 3 Othman Madjoudj 2018-04-29 17:31:19 UTC
(In reply to Miro Hrončok from comment #1)

1,2,5 => done (will post update shortly)

3. Sorry for confusion, that bit was residue from testing with python2

4. The test-suite is inherited from upstream fabric, upstream preferred to plan a switch to mock instead of updating to fudge 1.x (didn't happen yet) since fudge is no longer maintained [1][2]


[1] https://bitbucket.org/kumar303/fudge/issues/27/test-failures-with-python-3
[2] https://github.com/fabric/fabric/issues/203

Quote from [1]: 
"Hi, thanks for the report. I don't use fudge anymore because Mock has surpassed it in features, stability, and Python support. I'd be happy to merge in any patches but it would probably be easier if we switch everything to a github project. If anyone has time to do that I'd greatly appreciate it."

Quote from [2]: 
"I should actually close this - I've been using mock on my newer projects and find it a bit more usable than Fudge (even Fudge 1.x). Fabric 1.x is nearing EOL so updating its dependencies isn't really a priority anymore."

Comment 4 Othman Madjoudj 2018-04-29 17:38:08 UTC
(In reply to Miro Hrončok from comment #2)
> Package Review
> ==============
> 
> 6. Fix the license tag (to BSD)
> 7. Fix the version, see
> https://fedoraproject.org/wiki/Packaging:Versioning#More_complex_versioning
> 8. Fix "compatability" typo
> 

Fixed


Spec URL: https://athmane.fedorapeople.org/review/python-fabric3.spec
SRPM URL: https://athmane.fedorapeople.org/review/python-fabric3-1.13.1-2.fc28.src.rpm

Comment 5 Miro Hrončok 2018-04-29 22:14:57 UTC
%extra_ver should by part of the release.

Release:        N.%{extra_ver}%{?dist}

Comment 7 Miro Hrončok 2018-05-01 09:45:26 UTC
APPROVED.

Comment 8 Gwyn Ciesla 2018-05-01 18:07:23 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fabric3

Comment 9 Fedora Update System 2018-05-01 21:46:04 UTC
python-fabric3-1.13.1-3.post1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed7e3d0184

Comment 10 Fedora Update System 2018-05-02 13:13:36 UTC
python-fabric3-1.13.1-3.post1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed7e3d0184

Comment 11 Othman Madjoudj 2018-05-24 22:52:42 UTC
*** Bug 1572927 has been marked as a duplicate of this bug. ***

Comment 12 Miro Hrončok 2018-07-23 09:45:31 UTC
What's the status here?

Comment 13 Othman Madjoudj 2018-08-04 16:56:58 UTC
Fabric 2.x (same upstream) has provided Py3 support however it has new API.
python-fabric3 will be kept (temporarily) to provide 1.x API, for eg: python-avocado still depend on 1.x api

Comment 14 Miro Hrončok 2018-08-17 12:25:22 UTC
But what's the status of this bugzilla?


Note You need to log in before you can comment on or make changes to this bug.